import QtQuick
import QtQuick.Layouts
import org.kde.plasma.plasmoid
import org.kde.plasma.core as PlasmaCore
import org.kde.kirigami as Kirigami

import "./lib/helper.js" as Helper

Item {
  id: fullRep
  
  Layout.preferredWidth: 250 * PlasmaCore.Units.devicePixelRatio
  Layout.preferredHeight: 250 * PlasmaCore.Units.devicePixelRatio
  Layout.minimumWidth: Layout.preferredWidth
  Layout.maximumWidth: Layout.preferredWidth
  Layout.minimumHeight: Layout.preferredHeight
  Layout.maximumHeight: Layout.preferredHeight
  clip: true

  ColumnLayout {
    id: wrapper
    anchors.fill: parent
    spacing: 0

    RowLayout {
      spacing: 0
      Layout.fillWidth: true
      
      ColumnLayout {
        spacing: 0
        // Items

        Text {
          text: "henlo"
          color: PlasmaCore.Theme.textColor
        }
      }
    }

    Item {
      Layout.fillHeight: true
    }
  }
}
