import QtQuick
import QtQuick.Controls
import QtQuick.Layouts
import org.kde.plasma.core as PlasmaCore
import org.kde.kirigami as Kirigami
import org.kde.kquickcontrols as KQControls
import org.kde.kcmutils as KCM
import org.kde.plasma.components as PlasmaComponents3

import "../lib/helper.js" as Helper

KCM.SimpleKCM {
  id: root

  property alias cfg_pollingrate: pollingrate.value
  property alias cfg_pollingrateDefault: pollingrate.value

  Kirigami.FormLayout {
    Slider {
      id: pollingrate
      Layout.fillWidth: true
      from: 2
      to: 60
      stepSize: 2
    }
  }
}
